#ifndef DIVIDE_H
#define DIVIDE_H

/*
 * Jpeg and Divide-related functions
 * Copyright (c) 1998 - Stig Erik Sand
 *
 * $Id: divide.H,v 1.9 1998/04/28 12:33:47 stig Exp $
 */

#include <stdio.h>

class SmallPicture;
class PicturePart;
class QImage;

class PictProc {
public:
    static void dividePictures(const char **names, int num);
    static SmallPicture* buildPictureTable(int &howmany, const char*);
    static int *findMatch(const SmallPicture *, int howmany,
			  const PicturePart *, int allowed_dev,
			  int dcheck, int arrsize);
    static QImage *getJpegImage(FILE *);
    static SmallPicture *readGif(FILE *);
    static SmallPicture *readJpeg(FILE *);
};

#endif /* DIVIDE_H */
