/*
 * The program which builds the picture database
 * Copyright (c) 1998 - Stig Erik Sand
 *
 * $Id: readpic.cpp,v 1.1 1998/04/25 20:34:21 stig Exp $
 */

#include "divide.H"
#include "shake.H"
#include <string.h>
#include <iostream.h>


int
main(int argc, char *argv[]) {
    
//    srand(time());
    if (argc>2) {
	PictProc::dividePictures((const char**)++argv, argc-1);
    }
    else {
	/* file with appropriate filenames */
	FILE *f = fopen("datapic.dat", "r");

	int total=0;
	char buffer[100];
	while (fgets(buffer, 98, f)) { total++; }

	char **arr = new char*[total+2];
	fseek(f, 0L, SEEK_SET);
	cout << "# of pictures: " << total << endl;
	int len;
	for (int j=0; j<total; j++) {
	    fgets(buffer, 98, f);
	    len = strlen(buffer);
	    arr[j] = new char[len+1];
	    strcpy(arr[j], buffer);
	    if (arr[j][len-1]=='\n')
		arr[j][len-1]='\0';
	    
	}
		
	fclose(f);
	PictProc::dividePictures((const char **)arr, total);
	for (int k=0; k<total; k++)
	    delete[] arr[k];
	delete[] arr;
    }
    
    return 0;
}
